#!/bin/sh -e

version=4.19.0-3-powerpc-smp
image_path=/boot/vmlinux-$version

rm -f /lib/modules/$version/.fresh-install

if [ "$1" != upgrade ] && command -v linux-update-symlinks >/dev/null; then
    linux-update-symlinks remove $version $image_path
fi

if [ -d /etc/kernel/postrm.d ]; then
    DEB_MAINT_PARAMS="$*" run-parts --report --exit-on-error --arg=$version \
	      --arg=$image_path /etc/kernel/postrm.d
fi

if [ "$1" = purge ]; then
    for extra_file in modules.dep modules.isapnpmap modules.pcimap \
                      modules.usbmap modules.parportmap \
                      modules.generic_string modules.ieee1394map \
                      modules.ieee1394map modules.pnpbiosmap \
                      modules.alias modules.ccwmap modules.inputmap \
                      modules.symbols modules.ofmap \
                      modules.seriomap modules.\*.bin \
		      modules.softdep modules.devname; do
	eval rm -f /lib/modules/$version/$extra_file
    done
    rmdir /lib/modules/$version || true
fi

exit 0
